com.ibm.openpages.api.questionnaire

## Enum IControllerQuestionMap.ControllerType

- java.lang.Object
- - java.lang.Enum<IControllerQuestionMap.ControllerType>
  - - com.ibm.openpages.api.questionnaire.IControllerQuestionMap.ControllerType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IControllerQuestionMap.ControllerType>
  Enclosing interface:
    IControllerQuestionMap

      public static enum IControllerQuestionMap.ControllerType
      extends java.lang.Enum<IControllerQuestionMap.ControllerType>

  Type of the controller

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AssetField` A field of associated Asset object is referred by the controller.
    `QuestionResponse` Deprecated. - use `QuestoinResponseReportId` instead
    `QuestionResponseReportId` A question in the same questionnaire template is referred by the controller with report ID

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IControllerQuestionMap.ControllerType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IControllerQuestionMap.ControllerType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### QuestionResponse

          public static final IControllerQuestionMap.ControllerType QuestionResponse

      Deprecated. - use `QuestoinResponseReportId` instead
      A question in the same questionnaire template is referred by the controller.

    - #### AssetField

          public static final IControllerQuestionMap.ControllerType AssetField

      A field of associated Asset object is referred by the controller. Note that this controller type is not supported in OpenPages 7.2. It is reserved for future usage.

    - #### QuestionResponseReportId

          public static final IControllerQuestionMap.ControllerType QuestionResponseReportId

      A question in the same questionnaire template is referred by the controller with report ID

  - ### Method Detail

    - #### values

          public static IControllerQuestionMap.ControllerType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IControllerQuestionMap.ControllerType c : IControllerQuestionMap.ControllerType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IControllerQuestionMap.ControllerType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.